#Configuration file for the trackball experiment

# language used for giving instructions (currently available: english|german)
language = "english"
#language = "german"

if language == "english":
  lang_suffix = ""
else:
  lang_suffix = "_" + language

instructions_start  = open("instruct_start" + lang_suffix + ".txt").read()
instructions_spline = open("instruct_spline" + lang_suffix + ".txt").read()
instructions_pressAnyKey = open("instruct_pressAnyKey" + lang_suffix + ".txt").read()
instructions_finished = open("instruct_finished" + lang_suffix + ".txt").read()

# Number of sessions for each subject
numSessions = 5

# In miliseconds
isi_delay  = 0
isi_jitter = 0
# Delay after initial instructions and before the commands start.
initial_delay = 3000


#[o]pen, [c]lose, [r]ight, [l]eft, [u]p, [d]own, [b]link, [f]ixate(or center)
o = 1*'o'
c = 1*'c'
r = 1*'r'
l = 1*'l'
u = 1*'u'
d = 1*'d'
b = 1*'b'
f = 1*'f'
t = 1*'t'

track = "TRACK"

r_const = 200

mean = 0

st_dev = 30

# in pixels
border = 20

#Dicionary structure for sound file locations
sound_dir = "sounds" + lang_suffix + "/"
soundDict = {o: sound_dir + "open_speak.wav",
             c: sound_dir + "close_speak.wav",
             r: sound_dir + "right_speak.wav",
             l: sound_dir + "left_speak.wav",
             u: sound_dir + "up_speak.wav",
             d: sound_dir + "down_speak.wav",
             b: sound_dir + "blink_speak.wav",
             f: sound_dir + "center_speak.wav",
	     t:track}

# Order of Commands 1*(l+f+r+f)+5*(o+c)+2*(l+f+r+f)+t
#commands = 10*(c+"(5000,0)"+o+"(5000,0)")+t+"(2000,0)"+10*(c+"(5000,0)"+o+"(5000,0)")

commands = 5*(c+"(5000,0)"+o+"(5000,0)")+5*(l+"(2000,0)"+r+"(2000,0)")+t+"(5000,0)"+5*(u+"(2000,0)"+d+"(2000,0)")+t+"(5000,0)"+5*(b+"(2000,0)")+5*(c+"(5000,0)"+o+"(5000,0)")

# Speed controlled through framerate. Higher means faster. Base=40
framerate= 60

# The smaller the slower -> base=0.001
speed_param2 = 0.00075

# Number of points the spline will be fitted to
num_points = 10

# 0 means smaller curves.
curvature = 0

# How often the spline location will be logged.  Set to X to have it logged
#     every X pixels.  1=most accurate
video_log_accuracy = 5
